Bug 212807 - editors/emacs: update to 25.1
Summary: editors/emacs: update to 25.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-09-19 06:01 UTC by Joseph Mingrone
Modified: 2016-10-02 13:34 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments
svn diff to update editors/emacs to version 25.1 (81.05 KB, patch)
2016-09-19 06:01 UTC, Joseph Mingrone
no flags Details | Diff
updated svn diff (78.52 KB, patch)
2016-09-25 05:37 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2016-09-19 06:01:06 UTC
Created attachment 174937 [details]
svn diff to update editors/emacs to version 25.1

- TODO: Add the Canna patch set if/when it becomes available for 25.1.
- TOD0: Test the builds on other architectures (ARM, powerpc).  For now, I've set ONLY_FOR_ARCHS=amd64 i386

portlint: (spurious?) warning about adding a knob for gettext
testport: OK (poudriere: 9.3-RELEASE-p45, i386,  default options)   [1]
testport: OK (poudriere: 9.3-RELEASE-p45, amd64, default options)   [2]
testport: OK (poudriere: 10.3-RELEASE-p7, i386,  default options)   [3]
testport: OK (poudriere: 10.3-RELEASE-p7, amd64, default options)   [4]
testport: OK (poudriere: 11.0-RC3,        i386,  default options)   [5]
testport: OK (poudriere: 11.0-RC3,        amd64, default options)   [6]

[1]  http://pkg.awarnach.mathstat.dal.ca/data/9i386-default/2016-09-19_02h21m14s/logs/emacs25-25.1,3.log

[2]  http://pkg.awarnach.mathstat.dal.ca/data/9amd64-default/2016-09-19_02h21m16s/logs/emacs25-25.1,3.log

[3]  http://pkg.awarnach.mathstat.dal.ca/data/10i386-default/2016-09-19_02h21m18s/logs/emacs25-25.1,3.log

[4]  http://pkg.awarnach.mathstat.dal.ca/data/10amd64-default/2016-09-19_02h21m20s/logs/emacs25-25.1,3.log

[5]  http://pkg.awarnach.mathstat.dal.ca/data/11i386-default/2016-09-19_02h21m22s/logs/emacs25-25.1,3.log

[6]  http://pkg.awarnach.mathstat.dal.ca/data/11amd64-default/2016-09-19_02h21m30s/logs/emacs25-25.1,3.log
Comment 1 Ashish SHUKLA freebsd_committer 2016-09-25 01:23:30 UTC
Hi,

Sorry for the delay in followup.

Thanks for providing the diff.

The diff looks okay, although I don't understand the need of removing sources.el, and transforming it to a diff, and then adding sed stuff to Makefile. Could you explain ?

Ashish
Comment 2 Joseph Mingrone freebsd_committer 2016-09-25 05:37:47 UTC
Created attachment 175149 [details]
updated svn diff

(In reply to Ashish SHUKLA from comment #1)
Hi Ashish,

That's a good question.  Looking things over again, I think what you were doing was better.  I also think the make targets with the options (post-patch-X11-off and post-install-SOURCES-on) that you were using are better.  The check I had left in for the clang bug should no longer be necessary now that 11.0 is ready and 10.1 was released after the bug was fixed in base.

If anything is unclear or suboptimal in this new diff, let me know and I'll try to clarify or fix issues.

Thanks,

Joseph
Comment 3 Joseph Mingrone freebsd_committer 2016-09-25 06:01:39 UTC
What's the reason for gunziping the info files?
Comment 4 Ashish SHUKLA freebsd_committer 2016-09-28 06:27:36 UTC
(In reply to Joseph Mingrone from comment #3)

> What's the reason for gunziping the info files?

Previously INFO stuff built-in to ports subsystem only looks for uncompressed .info files, which is why they need to be uncompressed, although as I tested it few days ago, it works fine now without gunzip, so I have removed it.

Also, sorry for the delay in my replies. I am traveling so don't have great access. I will get back to committing this diff by this weekend.

Thanks for your patience.

Ashish
Comment 5 commit-hook freebsd_committer 2016-10-02 05:08:03 UTC
A commit references this bug:

Author: ashish
Date: Sun Oct  2 05:07:23 UTC 2016
New revision: 423103
URL: https://svnweb.freebsd.org/changeset/ports/423103

Log:
  GNU Emacs updates

  editors/emacs:
  - Update to 25.1[1]
  - Update CANNA patchset[2]
  - Cleanup CONFLICTS_INSTALL list[1]
  - Add LLDB option for lldb support (provided by 3rd party) to GUD[1]
  - Add various other options, and re-order options[1]
  - Incorporate games stuff in pkg-plist[1]
  - Remove outdated diffs[1]

  editors/emacs-nox11:
  - Update to 25.1[3]
  - Cleanup CONFLICTS_INSTALL list[3]

  editors/emacs-devel:
  - Update to git revision 25dca60d

  Mk/bsd.emacs.mk:
  - Update version numbers[4]

  PR:		212807 [1], 212808 [3], 212809 [4]
  Submitted by:	Joseph Mingrone <jrm@ftfl.ca> [1][3][4]
  		TAKANO Yuji <takachan@running-dog.net> (private email) [2]

Changes:
  head/Mk/bsd.emacs.mk
  head/editors/emacs/Makefile
  head/editors/emacs/distinfo
  head/editors/emacs/files/extrapatch-lldb-gud.el
  head/editors/emacs/files/patch-src_unexaix.c
  head/editors/emacs/files/patch-src_unexcoff.c
  head/editors/emacs/files/patch-src_unexelf.c
  head/editors/emacs/files/pkg-install.in
  head/editors/emacs/pkg-deinstall
  head/editors/emacs/pkg-plist
  head/editors/emacs-devel/Makefile
  head/editors/emacs-devel/distinfo
  head/editors/emacs-devel/files/patch-sources.el
  head/editors/emacs-devel/files/sources.el.in
  head/editors/emacs-devel/pkg-plist
  head/editors/emacs-nox11/Makefile
Comment 6 Ashish SHUKLA freebsd_committer 2016-10-02 05:12:51 UTC
Sorry for all the delay in this.

I have committed the port with following notable changes from your submitted diff:

 - Removed the ONLY_FOR_ARCHS stuff. If it breaks for some architecture, I will add an exception for it, but lets not restrict it to i386, and amd64

 - Removed the FREEDESKTOP option, which I don't see mentioned anywhere in the Makefile, except at one place

Thanks so much for working on this.

Also, thanks to TAKANO Yuji, for providing the updated CANNA patchset.

Ashish
Comment 7 commit-hook freebsd_committer 2016-10-02 13:34:46 UTC
A commit references this bug:

Author: ashish
Date: Sun Oct  2 13:33:53 UTC 2016
New revision: 423120
URL: https://svnweb.freebsd.org/changeset/ports/423120

Log:
  - Fix typo, happened in r423103

  PR:		212807

Changes:
  head/editors/emacs/Makefile
  head/editors/emacs-devel/Makefile